#
# spec file for package perl-Text-Table
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Text-Table
Name:           perl-Text-Table
Version:        1.135
Release:        1.10
#Upstream: SUSE-Public-Domain
License:        ISC
Summary:        Organize Data in Tables
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.280000
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Text::Aligner)
Requires:       perl(Text::Aligner)
%{perl_requires}

%description
Organization of data in table form is a time-honored and useful method of
data representation. While columns of data are trivially generated by
computer through formatted output, even simple tasks like keeping titles
aligned with the data columns are not trivial, and the one-shot solutions
one comes up with tend to be particularly hard to maintain. Text::Table
allows you to create and maintain tables that adapt to alignment
requirements as you use them.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples README
%license LICENSE

%changelog
* Thu Oct 13 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.135
  see /usr/share/doc/packages/perl-Text-Table/Changes
  1.135   2022-10-12
  - Added some entries to SEE ALSO
* Sat May 16 2020 Tina Müller <timueller+perl@suse.de>
  updated to 1.134
  see /usr/share/doc/packages/perl-Text-Table/Changes
  1.134   2020-05-15
  - Add new examples
  - Convert dist.ini and weaver.ini to @SHLOMIF bundles.
  - Other cleanups.
* Sat Aug  5 2017 coolo@suse.com
- updated to 1.133
  see /usr/share/doc/packages/perl-Text-Table/Changes
  1.133   2017-08-04
  - Correct the URLs to the GitHub repositories.
  - https://rt.cpan.org/Ticket/Display.html?id=122708
  - Thanks to John Marino for the bug report.
  - Fix https://rt.cpan.org/Ticket/Display.html?id=118853 (doc typo)
  - Thanks to Rihards for the report.
  - Fix https://rt.cpan.org/Ticket/Display.html?id=118851 (grammar error)
  - Thanks to Rihards for the report.
* Tue Nov 29 2016 coolo@suse.com
- updated to 1.132
  see /usr/share/doc/packages/perl-Text-Table/Changes
  1.132   2016-11-28
  - Fix a syntax error in the POD.
  - https://rt.cpan.org/Ticket/Display.html?id=118852
  - Thanks to Rihards for the report.
  - Convert to Dist-Zilla and Pod::Weaver
  - See https://rt.cpan.org/Ticket/Display.html?id=118923
  - Thanks to coolo from OpenSUSE.
  - In the process, change the license in the META files to ISC.
* Wed Nov 23 2016 coolo@suse.com
- fix the license to ISC
* Sun Jul 31 2016 coolo@suse.com
- updated to 1.131
  see /usr/share/doc/packages/perl-Text-Table/Changes
  1.131   2016-07-29
  - Merge pull-request from Zac Bentley to speed up boolean tests.
  - https://github.com/shlomif/Text-Table/pull/4
  - Closes https://github.com/shlomif/Text-Table/issues/3
* Mon Feb  9 2015 coolo@suse.com
- updated to 1.130
  - Minimum perl version in 'requires' this time in META.yml (CPANTS).
  - Change the META.yml license indicator to 'mit' - it is the ISC
    license, which is MIT in effect. (CPANTS).
* Tue Mar  4 2014 tchvatal@suse.com
- Version bump to 1.129:
  * Add minimum perl version to META.yml (CPANTS).
  * Typo fixes thanks to David Steinbrunner.
  * Add t/style-trailing-space.t.
  * Remove trailing space.
  * Fix handling of regular expression aligners.
  * Add examples/Text-Table-UTF8-example.pl
* Tue Mar  4 2014 tchvatal@suse.com
- Format with spec-cleaner and add required header license.
- Fix license string.
* Fri Sep  2 2011 pascal.bleser@opensuse.org
- update to 1.124:
  * fix handling whitespace in column separators when the callback-based rule
    is invoked
* Sat Jun  4 2011 pascal.bleser@opensuse.org
- update to 1.122:
  * fix RT#68631 - passing hashrefs as separators
  * many refactorings
* Thu May 26 2011 pascal.bleser@opensuse.org
- update to 1.121: no user-visible changes
* Tue May 17 2011 pascal.bleser@opensuse.org
- update to 1.120
  * add the callback ("sub { ... }")-based ->rule() method to render each
    section in a rule differently
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Aug 30 2010 pascal.bleser@opensuse.org
- initial package (1.116)
